org.deidentifier.arx.metric

## Class MetricDefault

- java.lang.Object
- - org.deidentifier.arx.metric.Metric<org.deidentifier.arx.metric.InformationLossDefault>
  - - org.deidentifier.arx.metric.MetricDefault

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  MetricAECS, MetricDM, MetricDMStar, MetricEntropy, MetricHeight

    public abstract class MetricDefault
    extends Metric<org.deidentifier.arx.metric.InformationLossDefault>

This class provides an abstract skeleton for the implementation of metrics.

Author:
  Fabian Prasser, Florian Kohlmayer
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.deidentifier.arx.metric.Metric

`Metric.AggregateFunction`

### Constructor Summary

Constructors
Constructor and Description
`MetricDefault(boolean monotonicWithGeneralization, boolean monotonicWithSuppression, boolean independent)`

### Method Summary

All Methods Instance Methods Concrete Methods
`InformationLoss<?>` `createMaxInformationLoss()` Returns an instance of the maximal value.
`InformationLoss<?>` `createMinInformationLoss()` Returns an instance of the minimal value.

### Methods inherited from class org.deidentifier.arx.metric.Metric

`createAECSMetric, createAECSMetric, createAmbiguityMetric, createClassificationMetric, createClassificationMetric, createDiscernabilityMetric, createDiscernabilityMetric, createEntropyBasedInformationLossMetric, createEntropyBasedInformationLossMetric, createEntropyMetric, createEntropyMetric, createEntropyMetric, createEntropyMetric, createEntropyMetric, createEntropyMetric, createHeightMetric, createHeightMetric, createInstanceOfHighestScore, createInstanceOfLowestScore, createKLDivergenceMetric, createLossMetric, createLossMetric, createLossMetric, createLossMetric, createMetric, createNormalizedEntropyMetric, createNormalizedEntropyMetric, createPrecisionMetric, createPrecisionMetric, createPrecisionMetric, createPrecisionMetric, createPrecisionMetric, createPrecisionMetric, createPrecisionMetric, createPrecisionMetric, createPrecomputedEntropyMetric, createPrecomputedEntropyMetric, createPrecomputedEntropyMetric, createPrecomputedEntropyMetric, createPrecomputedEntropyMetric, createPrecomputedEntropyMetric, createPrecomputedLossMetric, createPrecomputedLossMetric, createPrecomputedLossMetric, createPrecomputedLossMetric, createPrecomputedNormalizedEntropyMetric, createPrecomputedNormalizedEntropyMetric, createPublisherPayoutMetric, createPublisherPayoutMetric, createStaticMetric, createStaticMetric, getAggregateFunction, getConfiguration, getDescription, getGeneralizationFactor, getGeneralizationSuppressionFactor, getInformationLoss, getInformationLoss, getLowerBound, getLowerBound, getName, getScore, getSuppressionFactor, initialize, isAbleToHandleClusteredMicroaggregation, isAbleToHandleMicroaggregation, isGSFactorSupported, isIndependent, isMonotonic, isMonotonicWithGeneralization, isMonotonicWithSuppression, isMultiDimensional, isPrecomputed, isScoreFunctionSupported, isWeighted, list, render, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MetricDefault

    public MetricDefault(boolean monotonicWithGeneralization,
                         boolean monotonicWithSuppression,
                         boolean independent)

Parameters:
  `monotonicWithGeneralization` -
  `monotonicWithSuppression` -
  `independent` -

### Method Detail

#### createMaxInformationLoss

    public InformationLoss<?> createMaxInformationLoss()

Description copied from class: `Metric`
Returns an instance of the maximal value.

Specified by:
  `createMaxInformationLoss` in class `Metric<org.deidentifier.arx.metric.InformationLossDefault>`
Returns:

#### createMinInformationLoss

    public InformationLoss<?> createMinInformationLoss()

Description copied from class: `Metric`
Returns an instance of the minimal value.

Specified by:
  `createMinInformationLoss` in class `Metric<org.deidentifier.arx.metric.InformationLossDefault>`
Returns: